petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatSetOptionsPrefix

Sets the prefix used for searching for all Mat options in the database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetOptionsPrefix(Mat A,const char prefix[])

Logically Collective on Mat

### Input Parameter

| A | - the Mat context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

Mat, set, options, prefix, database

### See Also

MatSetFromOptions()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex10.c.html
src/mat/examples/tutorials/ex16.c.html
src/snes/examples/tutorials/ex70.c.html
src/ts/examples/tutorials/ex14.c.html